/**
 * 服务需求dict
 * @type {[{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string}]}
 */
export const serviceDemandStatusDict = [
  {
    value: "0",
    label: "待受理",
    i18n: "pendingReview",
    elTagType: "primary",
  },
  {
    value: "1",
    label: "已受理",
    i18n: "accepted",
    elTagType: "success",
  },
  {
    value: "2",
    label: "已驳回",
    i18n: "rejected",
    elTagType: "danger",
  },
  {
    value: "4",
    label: "已结束",
    i18n: "finished",
    elTagType: "warning",
  },
];

/**
 * 技术需求dict
 * @type {[{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string}]}
 */
export const technologyDemandStatusDict = [
  {
    value: "0",
    label: "待受理",
    elTagType: "primary",
  },
  {
    value: "1",
    label: "已发布",
    elTagType: "success",
  },
  {
    value: "2",
    label: "已驳回",
    elTagType: "danger",
  },
  {
    value: "3",
    label: "草稿箱",
    elTagType: "primary",
  },
  {
    value: "4",
    label: "已结束",
    elTagType: "warning",
  },
];

// 1->专利|2->成果|3->服务需求|4->专家|5->科研项目|6->论文
export const seeLogTypeDict = [
  {
    value: "1",
    label: "专利",
    i18n: "patent",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "成果",
    i18n: "achievement",
    elTagType: "success",
  },

  {
    value: "3",
    label: "服务需求",
    i18n: "serviceDemand",
    elTagType: "danger",
  },
  {
    value: "4",
    label: "专家",
    i18n: "expert",
    elTagType: "warning",
  },
  {
    value: "5",
    label: "科研项目",
    i18n: "researchProject",
    elTagType: "warning",
  },
  {
    value: "6",
    label: "论文",
    i18n: "paper",
    elTagType: "warning",
  },
];

// 订单类型(1创新币充值2活动报名)
export const orderTypeDict = [
  {
    value: "1",
    label: "创新币充值",
    i18n: "coinRecharge",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "活动报名",
    i18n: "activityRegistration",
    elTagType: "success",
  },
];

// 发票申请状态(0->未申请1->已申请2->已处理)
export const invoiceStatusDict = [
  {
    value: "0",
    label: "未申请",
    i18n: "notApplied",
    elTagType: "warning",
  },
  {
    value: "1",
    label: "已申请",
    i18n: "applied",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "已处理",
    i18n: "processed",
    elTagType: "success",
  },
];

// 课题角色（1：承担单位，2：参与单位）
export const subjectRoleDict = [
  {
    value: "1",
    label: "承担单位",
    i18n: "undertakingUnit",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "参与单位",
    i18n: "participatingUnit",
    elTagType: "success",
  },
];

export const localeDict = [
  {
    value: "zh",
    label: "简体中文",
  },
  {
    value: "en",
    label: "English",
  },
  {
    value: "ru",
    label: "русский",
  },
  {
    value: "fr",
    label: "français",
  },
  {
    value: "ja",
    label: "日本語",
  },
];

const countryDict = [
  {
    zh: "中国",
    ru: "Китай",
  },
];

// 成果推广 关键成果解决 对接专家院士 上市辅导
export const achievementPromotionDict = [
  {
    value: 1,
    label: "成果推广",
    i18n: "achievementPromotion",
  },
  {
    value: 2,
    label: "关键成果解决",
    i18n: "keyAchievementSolution",
  },
  {
    value: 3,
    label: "对接专家院士",
    i18n: "dockingExpertsAcademicians",
  },
  {
    value: 4,
    label: "上市辅导",
    i18n: "listingGuidance",
  },
];

// 成果难题解决 成果储备/项目投资 新成果开发 检验检测
export const techinicalDemandTypeDict = [
  {
    value: 1,
    label: "成果难题解决",
    i18n: "achievementProblemSolution",
  },
  {
    value: 2,
    label: "成果储备/项目投资",
    i18n: "achievementReserveProjectInvestment",
  },
  {
    value: 3,
    label: "新成果开发",
    i18n: "newAchievementDevelopment",
  },
  {
    value: 4,
    label: "检验检测",
    i18n: "inspectionAndTesting",
  },
];
